import type { ProjectGraphProjectNode } from '../config/project-graph';
/**
 * The presence of these characters in a string indicates that it might be a glob pattern.
 */
export declare const GLOB_CHARACTERS: string[];
/**
 * Find matching project names given a list of potential project names or globs.
 *
 * @param patterns A list of project names or globs to match against.
 * @param projects A map of {@link ProjectGraphProjectNode} by project name.
 * @returns
 */
export declare function findMatchingProjects(patterns: string[], projects: Record<string, ProjectGraphProjectNode>): string[];
export declare const getMatchingStringsWithCache: (pattern: string, items: string[]) => string[];
